Name: id3lib
Version: 3.8.2
Release: alt1

Summary: A software library for manipulating ID3v1 and ID3v2 tags
Summary(ru_RU.CP1251):      ID3v1  ID3v2
License: LGPL
Group: System/Libraries
Url: http://id3lib.sourceforge.net
Source: http://prdownloads.sourceforge.net/%name/%name-%version.tar.bz2
Patch1: %name-3.8.0-no_included_zlib.patch
Patch2: %name-3.8.2-doxygen.patch

BuildPreReq: autoconf >= 2.5.3

# Automatically added by buildreq on Sun Jan 12 2003
BuildRequires: doxygen gcc-c++ libstdc++-devel zlib-devel

%description
This package provides a software library for manipulating ID3v1 and ID3v2 tags.
It provides a convenient interface for software developers to include
standards-compliant ID3v1/2 tagging capabilities in their applications.
Features include identification of valid tags, automatic size conversions,
(re)synchronisation of tag frames, seamless tag (de)compression, and optional
padding facilities.

%description -l ru_RU.CP1251
       ID3v1  ID3v2.
   , 
 ID3v1/2,     .
    ,  
,      () .

%package utils
Summary: A set of small applications that use the id3lib library.
Group: Sound
Requires: %name = %version-%release

%description utils
This package contains simple applications that make use of
id3lib, a software library for ID3v1 and ID3v2 tag manipulation.

%description utils -l ru_RU.CP1251
    ,   id3lib.

%package devel
Summary: Headers for developing programs that will use id3lib
Group: Development/C
PreReq: %name = %version-%release
Requires: libpopt-devel, libstdc++-devel, zlib-devel

%description devel
This package contains the headers and API documentation that programmers
will need to develop applications which will use id3lib, the software
library for ID3v1 and ID3v2 tag manipulation.

%description devel -l ru_RU.CP1251
        API ,
    id3lib   .

%package devel-static
Summary: Headers for developing programs that will use id3lib
Group: Development/C
PreReq: %name-devel = %version-%release

%description devel-static
This package contains development libraries required for packaging
statically linked software with id3lib.

%description devel-static -l ru_RU.CP1251
     , 
   ,  id3lib.

%prep
%setup -q
%patch1 -p1
%patch2 -p1

%build
%define __autoconf autoconf_2.5
%__autoconf
%configure
%make_build
%make_build docs

%install
%makeinstall

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%_libdir/*.so.*
%doc AUTHORS ChangeLog HISTORY NEWS README THANKS TODO

%files utils
%_bindir/*

%files devel
%_includedir/*
%_libdir/*.la
%_libdir/*.so
%doc doc/*.{html,png,jpg,gif,txt,ico,php,css} doc/api

%files devel-static
%_libdir/*.a

%changelog
* Mon Jan 13 2003 Andrey Astafiev <andrei@altlinux.ru> 3.8.2-alt1
- 3.8.2

* Wed Nov 13 2002 Andrey Astafiev <andrei@altlinux.ru> 3.8.1-alt1
- 3.8.1
- fixed build of api documentation.

* Tue Sep 24 2002 Yuri N. Sedunov <aris@altlinux.ru> 3.8.0-alt3
- rebuilt with gcc-3.2 (%name-mdk-gcc3.2_cvs.patch)

* Mon Aug 12 2002 Andrey Astafiev <andrei@altlinux.ru> 3.8.0-alt2
- 3.8.0

* Fri Jul 12 2002 Andrey Astafiev <andrei@altlinux.ru> 3.8.0-alt1pre3
- 3.8.0pre3
- Library uses dynamically linked zlib.

* Mon May 27 2002 Yuri N. Sedunov <aris@altlinux.ru> 3.8.0-alt0.9pre2.1
- 3.8.0pre2.1

* Thu Jan 10 2002 Yuri N. Sedunov <aris@altlinux.ru> 3.8.0-alt0.8pre2
- 3.8.0pre2.
- utils package.

* Wed Aug 15 2001 Andrey Astafiev <andrei@altlinux.ru> 3.7.13-alt1
- First version of RPM package
